<?php declare(strict_types=1);

namespace App\Contracts;

interface ServiceResultError
{
    public function getCode(): ?int;
    public function getMessage(): string;
    public function getErrors(): array;
    public function getErrorsOrMessage(): array|string;
    public function getData(): array;
}
